Bug 888450 - ValueError: Cannot remove non-leaf device 'btrfs.10'
Summary: ValueError: Cannot remove non-leaf device 'btrfs.10'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0d1ef76d5fbbd91339db7f444cc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 18:13 UTC by Clyde E. Kunkel
Modified: 2014-02-05 14:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:00:29 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (645.85 KB, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: anaconda.log (19.75 KB, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: environ (780 bytes, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: ifcfg.log (624 bytes, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: packaging.log (163.05 KB, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: program.log (30.86 KB, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: storage.log (144.60 KB, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
File: syslog (115.08 KB, text/plain)
2012-12-18 18:13 UTC, Clyde E. Kunkel
no flags Details
anaconda-tb file (616.13 KB, text/plain)
2013-01-08 16:31 UTC, Reartes Guillermo
no flags Details
screenshot with an overlaping unknown error (76.24 KB, image/png)
2013-01-08 16:34 UTC, Reartes Guillermo
no flags Details

Description Clyde E. Kunkel 2012-12-18 18:13:24 UTC
Description of problem:
Trying to use F18TC3 to reinstall existing TC2 btrfs system.  Obviously not enough space so have to select reclaim space and custom partitioning.  In partitioner select / to delete it, also select box "Delete all filesystems in /..."  Partitioner seems to think awhile, then error has occurred screen pops up.
The following was filed automatically by anaconda:
anaconda 18.37.3 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 374, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 428, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1194, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1857, in _destroy_device
    self.__storage.destroyDevice(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1964, in on_remove_clicked
    self._destroy_device(dev)
ValueError: Cannot remove non-leaf device 'btrfs.10'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2018-TC3\x20x86_64 BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.x86_64
other involved packages: 
package:        anaconda-18.37.3
product:        Fedora
release:        Cannot get release name.
type:           libreport
version:        18-TC3

Comment 1 Clyde E. Kunkel 2012-12-18 18:13:28 UTC
Created attachment 665662 [details]
File: anaconda-tb

Comment 2 Clyde E. Kunkel 2012-12-18 18:13:30 UTC
Created attachment 665663 [details]
File: anaconda.log

Comment 3 Clyde E. Kunkel 2012-12-18 18:13:32 UTC
Created attachment 665664 [details]
File: environ

Comment 4 Clyde E. Kunkel 2012-12-18 18:13:34 UTC
Created attachment 665665 [details]
File: ifcfg.log

Comment 5 Clyde E. Kunkel 2012-12-18 18:13:36 UTC
Created attachment 665666 [details]
File: packaging.log

Comment 6 Clyde E. Kunkel 2012-12-18 18:13:38 UTC
Created attachment 665667 [details]
File: program.log

Comment 7 Clyde E. Kunkel 2012-12-18 18:13:41 UTC
Created attachment 665668 [details]
File: storage.log

Comment 8 Clyde E. Kunkel 2012-12-18 18:13:43 UTC
Created attachment 665669 [details]
File: syslog

Comment 9 Reartes Guillermo 2013-01-08 16:26:04 UTC
i booted a guest with a previous fedora (previous raid1, lvm)

i did manal partitioninig with the first disk, deleted all partitions and went back,
deselected the disk and selected the other, i started to delete the paritions but it crashed


Package: anaconda-18.37.11
OS Release: Fedora release 18

Comment 10 Reartes Guillermo 2013-01-08 16:31:21 UTC
Created attachment 674944 [details]
anaconda-tb file

I am not sure about ABRT so:

anaconda 18.37.11 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 374, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 428, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1194, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1878, in _destroy_device
    self.__storage.destroyDevice(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1985, in on_remove_clicked
    self._destroy_device(dev)
ValueError: Cannot remove non-leaf device 'vdb2'

Comment 11 Reartes Guillermo 2013-01-08 16:34:03 UTC
Created attachment 674945 [details]
screenshot with an overlaping unknown error

before that, the box of the unknown error was gray and inside it the 'delete mount point' appeared and i clicked delete to see the unknown error.

Comment 12 Isaac Bueno 2013-03-24 16:31:48 UTC
durante o particionamento de um HD hibrido ao terminar a configuracao da parte SSD e retornar a parte mecanica para particionamento o sistema perde os botoes deixando de exibilios porem se coloco o mouse em cima vejoos baloes porem o programa paraou inesperadamante

Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18

Comment 13 Fedora End Of Life 2013-12-21 09:58:35 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2014-02-05 14:00:32 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.